> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Storage usage total

> Consumption statistics is updated in near real-time as a standard practice.
However, the frequency of updates can vary, but they are typically available within a 60 minutes period.
Exceptions, such as maintenance periods, may delay data beyond 60 minutes until servers resume and backfill missing statistics.   
  
Shows storage total usage data in filtered by storages, locations and interval.



## OpenAPI

````yaml /api-reference/services_documented/object_storage_api.yaml post /storage/stats/v1/storage/usage/total
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Object Storage API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Notifications
    x-displayName: Notifications
  - name: SSHKeys
    x-displayName: SSHKeys
  - name: Storage Locations
    x-displayName: Storage Locations
  - name: Storage
    x-displayName: Storage
  - name: Storage Statistics
    x-displayName: Storage Statistics
  - name: S3-Compatible Storage
    x-displayName: S3-Compatible Storage
  - name: SFTP Storage
    x-displayName: SFTP Storage
paths:
  /storage/stats/v1/storage/usage/total:
    post:
      tags:
        - Storage Statistics
      summary: Storage usage total
      description: >-
        Consumption statistics is updated in near real-time as a standard
        practice.

        However, the frequency of updates can vary, but they are typically
        available within a 60 minutes period.

        Exceptions, such as maintenance periods, may delay data beyond 60
        minutes until servers resume and backfill missing statistics.   
          
        Shows storage total usage data in filtered by storages, locations and
        interval.
      operationId: storageUsageTotalHttpPost
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                from:
                  type: string
                  description: a From date filter
                  example: '2006-01-02'
                locations:
                  type: array
                  description: a Locations list of filter
                  example:
                    - s-region-1
                    - s-region-2
                  items:
                    type: string
                storages:
                  type: array
                  description: a Storages list of filter
                  example:
                    - 123-myStorage
                  items:
                    type: string
                to:
                  type: string
                  description: a To date filter
                  example: '2006-01-02'
        required: false
      responses:
        '200':
          description: StorageUsageTotalEndpointRes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StorageUsageTotalEndpointRes'
        '400':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            usage_total = client.storage.statistics.get_usage_aggregated()
            print(usage_total.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n\t\"github.com/G-Core/gcore-go/storage\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tusageTotal, err := client.Storage.Statistics.GetUsageAggregated(context.TODO(), storage.StatisticGetUsageAggregatedParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", usageTotal.Data)\n}\n"
components:
  schemas:
    StorageUsageTotalEndpointRes:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/StorageUsageTotalRes'
    ErrResponse:
      type: object
      properties:
        error:
          type: string
      description: ErrResponse is an error response
    StorageUsageTotalRes:
      type: array
      description: StorageUsageTotalRes for response
      items:
        $ref: '#/components/schemas/StorageStatsTotalElement'
    StorageStatsTotalElement:
      type: object
      properties:
        metrics:
          $ref: '#/components/schemas/StatsMetrics'
      description: StorageStatsTotalElement for response
    StatsMetrics:
      type: object
      properties:
        file_quantity_sum_max:
          type: integer
          description: a FileQuantitySumMax is max sum of files quantity for grouped period
          format: uint64
        requests_in_sum:
          type: integer
          description: a RequestsInSum is sum of incoming requests for grouped period
          format: uint64
        requests_out_edges_sum:
          type: integer
          description: >-
            a RequestsOutEdgesSum is sum of out edges requests for grouped
            period
          format: uint64
        requests_out_wo_edges_sum:
          type: integer
          description: >-
            a RequestsOutWoEdgesSum is sum of out no edges requests for grouped
            period
          format: uint64
        requests_sum:
          type: integer
          description: a RequestsSum is sum of all requests for grouped period
          format: uint64
        size_sum_bytes_hour:
          type: integer
          description: a SizeSumBytesHour is sum of bytes hour for grouped period
          format: uint64
        size_sum_max:
          type: integer
          description: a SizeSumMax is max sum of all files sizes for grouped period
          format: uint64
        size_sum_mean:
          type: integer
          description: a SizeSumMean is mean sum of all files sizes for grouped period
          format: uint64
        traffic_in_sum:
          type: integer
          description: a TrafficInSum is sum of incoming traffic for grouped period
          format: uint64
        traffic_out_edges_sum:
          type: integer
          description: a TrafficOutEdgesSum is sum of out edges traffic for grouped period
          format: uint64
        traffic_out_wo_edges_sum:
          type: integer
          description: >-
            a TrafficOutWoEdgesSum is sum of out no edges traffic for grouped
            period
          format: uint64
        traffic_sum:
          type: integer
          description: a TrafficSum is sum of all traffic for grouped period
          format: uint64
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````